curl "https://api.scanova.io/custom-domain/42/ssl-certificate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"status": "ISSUED",
"expiry_status": "healthy",
"days_until_expiry": 82,
"issued_at": "2026-08-01T00:00:00Z",
"expires_at": "2026-11-01T00:00:00Z"
}
自定义域名
获取 SSL 证书状态
GET /custom-domain//ssl-certificate/
GET
/
custom-domain
/
{pk}
/
ssl-certificate
/
curl "https://api.scanova.io/custom-domain/42/ssl-certificate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"status": "ISSUED",
"expiry_status": "healthy",
"days_until_expiry": 82,
"issued_at": "2026-08-01T00:00:00Z",
"expires_at": "2026-11-01T00:00:00Z"
}
在 Management API 主机(
如果尚未上传证书,则
api.scanova.io)上获取域名的 SSL 证书状态,使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/custom-domain/{pk}/ssl-certificate/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
仅限企业版。需要
CUSTOM_DOMAIN_CUSTOM_SSL 配额,该配额需人工授予——没有任何自助套餐包含此配额。integer
必填
域名的
id。curl "https://api.scanova.io/custom-domain/42/ssl-certificate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"status": "ISSUED",
"expiry_status": "healthy",
"days_until_expiry": 82,
"issued_at": "2026-08-01T00:00:00Z",
"expires_at": "2026-11-01T00:00:00Z"
}
status 和 expiry_status 返回 null。如果账户缺少 CUSTOM_DOMAIN_CUSTOM_SSL 配额,则返回 403;如果 pk 不是该账户拥有的域名,则返回 404。
相关内容
- 上传 SSL 证书——为此域名激活证书。
- 创建 SSL 证书请求——此处上传的证书必须与之匹配的 CSR。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
Certificate status, or nulls if none uploaded yet.
此页面对您有帮助吗?